package com.muyu.car.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：蓬叁
 * @Package：com.muyu.car.domain.model
 * @Project：cloud-server-8
 * @name：Vehicle
 * @Date：2024/10/6 上午10:33
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class VehicleInformation {

    /**
     * 车辆ID
     */
    private String carInformationId ;
    /**
     * 车辆唯一VIN
     */
    private String carInformationVIN ;
    /**
     * 车牌号
     */
    private String carInformationLicensePlate ;
    /**
     * 车辆品牌
     */
    private String carInformationBrand ;
    /**
     * 车辆颜色
     */
    private String carInformationColor ;
    /**
     * 车辆驾驶员
     */
    private String carInformationDriver ;
    /**
     * 车检到期日期
     */
    private String carInformationExamineEnddata ;
    /**
     * 车辆电机厂商
     */
    private String carInformationMotorManufacturer ;
    /**
     * 车辆电机型号
     */
    private String carInformationMotorModel ;
    /**
     * 车辆电池厂商
     */
    private String carInformationBatteryManufacturer ;
    /**
     * 车辆电池型号
     */
    private String carInformationBatteryModel ;
    /**
     * 车辆电子围栏外键ID
     */
    private String carInformationFence ;
    /**
     * 车辆类型外键ID
     */
    private String carInformationType ;
    /**
     * 是否重点车辆 (0否默认 1是 )
     */
    private String carInformationFocus ;
    /**
     * 车辆策略id
     */
    private String carStrategyId ;
    /**
     * 启用状态(1.在线 2.离线 3.已断开 4.待连接 5.维修中)
     */
    private String carInformationState ;

}
