package com.muyu.domain;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 故障码，电子围栏，车辆，报文
 * @Author：yang
 * @Package：com.muyu.domain
 * @Project：cloud-server-8
 * @name：FaultCodeCache
 * @Date：2024/10/6 16:07
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "故障码，电子围栏，车辆，报文")
public class FaultCodeCache {

    /**
     * 电子围栏信息
     */
    private List<CarFence> carFences;

    /**
     * 故障标签信息
     */
    private WarnStrategy warnStrategies;

    /**
     * 车辆信息
     */
    public List<CarInformation> carInformation;

    /**
     * 故障码信息
     */
    private List<FaultCode> faultCode;

    /**
     * 故障标签
     */
    private FaultLabel faultLabels;

}
