package com.muyu.domain.message;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 消息发送参数
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.domain.message
 * @Project：cloud-server-8
 * @name：MessageReq
 * @Date：2024/9/22 11:00
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "消息发送参数")
public class MessageSendReq {
    /**
     * 发送者
     */
    private String sender;
    /**
     * 接收者
     */
    private String receiver;

    /**
     * 消息内容
     */
    private String content;
    /**
     * 登录人Id
     */
    private long userId;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "消息创建时间",defaultValue = "2024-8-9 10:47:57",type = "String")
    private Date createTime;
}
