package com.muyu.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.req.FirmListReq;
import com.muyu.domain.resp.FirmTotalListResp;
import com.muyu.server.service.FirmManageService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 企业信息控制层
 * @Author：weiran
 * @Package：com.muyu.firmmanage.controller
 * @Project：cloud-server-8
 * @name：FirmManageController
 * @Date：2024/9/27 12:27
 */
@RestController
@RequestMapping("/firmmanage")
@Tag(name = "公司相关事务",description = "公司相关事务操作")
public class FirmManageController {

    @Autowired
    private FirmManageService firmManageService;


    /**
     * 公司列表信息展示
     * @param firmListReq
     * @return
     */
    @PostMapping("/firmmessageList")
    @Operation(summary = "公司信息列表展示",description = "展示公司信息的列表")
    public Result firmmessageList(@Validated @RequestBody FirmListReq firmListReq){
        FirmTotalListResp firmTotalListResp = firmManageService.firmmessageList(firmListReq);
        return Result.success(firmTotalListResp);
    }



}
