package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultCondition;
import com.muyu.domain.req.FaultConditionAddReq;
import com.muyu.domain.req.FaultConditionListReq;
import com.muyu.domain.resp.FaultConditionTotalListResp;

import java.util.List;

/**
 * 故障规则业务层
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.service.impl
 * @Project：cloud-server-8
 * @name：FaultRuleService
 * @Date：2024/9/19 22:10
 */
public interface FaultConditionService extends IService<FaultCondition> {


    /**
     * 故障规则
     * @param faultConditionListReq
     * @return
     */
    FaultConditionTotalListResp getfaultrulelist(FaultConditionListReq faultConditionListReq);

    /**
     * 故障规则添加
     * @param faultConditionAddReq
     * @return
     */
    List<FaultCondition> selectBytypeAndlabel(FaultConditionAddReq faultConditionAddReq);

    /**
     * 故障规则查询
     * @return
     */
    List<FaultCondition> saveFaultConditionList();

    /**
     * 添加缓存
     */
    void RunCarCondition();
}
