package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultLabel;
import com.muyu.domain.req.FaultCodeAddReq;


import java.util.List;

/**
 * 故障项选择业务层
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.service
 * @Project：cloud-server-8
 * @name：FaultTypeService
 * @Date：2024/9/18 20:59
 */
public interface FaultLabelService extends IService<FaultLabel> {
    /**
     * 故障名称
     * @return
     */
    List<FaultLabel> select();

    /**
     * 判断故障名称是否存在
     * @param messageTypeName
     * @return
     */
    FaultLabel selectfaultName(String messageTypeName);

    /**
     * 添加故障项表
     * @param faultLabel
     * @return
     */
    Integer insertfaultlabel(FaultLabel faultLabel);

    /**
     * 删除对应的故障名称表信息
     * @param messageTypeId
     * @return
     */
    Integer delfaultlabel(Integer messageTypeId);

    /**
     * 查询报文
     * @param messageTypeId
     */
    FaultLabel faultLabelList(long messageTypeId);
}
